#
# Kaffeine spec file
#

# norootforbuild

%define major   1
%define libname libxine%{major}
%define libvers 1.1.17
%define rversion 1.2.2

%if %suse_version > 1110
Name:           kaffeine
%else
Name:           kde4-kaffeine
%endif
Summary:        A xine-based Media Player for KDE4
Summary(de):    Ein xine-basierender Media Player für KDE4
Version:        %{rversion}
Release:        1.pm.1.7
License:        GPL v2 or later
Group:          Productivity/Multimedia/Video/Players
Url:            http://kaffeine.sourceforge.net/
Source0:        kaffeine-%{rversion}.tar.bz2
Source1:        kaffeine-icons.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires 
Requires:       %{name}-lang = %{version}
Requires:       %{libname} >= %{libvers}
#BuildRequires:  libspeex1
#BuildRequires:  gamin-devel
#BuildRequires:  kdelibs4-branding-openSUSE
BuildRequires:  %{libname} >= %{libvers}
BuildRequires:  libxine-devel >= %{libvers}
BuildRequires:  libqt4-sql-sqlite
BuildRequires:  libkdepimlibs4-devel
%if %suse_version > 1110
Provides:       kde4-kaffeine = %{version}
Obsoletes:      kde4-kaffeine < %{version}
%endif

%description
Kaffeine plays all files and devices supported by xine. For example:
MPEG files, AVI (if the codec being used is supported by xine), MP3,
and Ogg Vorbis. It also handles Video CDs, DVD, and DVB cards.



Authors:
--------
    Jürgen Kofler <kaffeine@gmx.net>

%description -l de
Kaffeine spielt alle Dateien und Devices, die von xine unterstützt
werden. Zum Beispiel:
MPEG Dateien, AVI (soweit der Codec von xine unterstützt wird), MP3,
und Ogg Vorbis. Es werden auch Video CDs, DVD, und DVB-Karten
unterstützt.



Autor:
------
    Jürgen Kofler <kaffeine@gmx.net>


%lang_package



%prep
%setup -q -n kaffeine-%{rversion} -b 1

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  pushd build
  %makeinstall
  popd
  %{__rm} -rf %{buildroot}/usr/share/locale/x-test
  %suse_update_desktop_file kaffeine KDE AudioVideo Player Video
  %kde_post_install
  %find_lang kaffeine
%if %suse_version > 1110
%if %suse_version < 1140
  echo "%dir %{_datadir}/locale/sr@ijekavian" >> kaffeine.lang
  echo "%dir %{_datadir}/locale/sr@ijekavian/LC_MESSAGES" >> kaffeine.lang
  echo "%dir %{_datadir}/locale/sr@ijekavianlatin" >> kaffeine.lang
  echo "%dir %{_datadir}/locale/sr@ijekavianlatin/LC_MESSAGES" >> kaffeine.lang
%endif
%endif


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files lang -f kaffeine.lang

%files
%defattr(-,root,root)
%{_bindir}/kaffeine
%{_bindir}/kaffeine-xbu
%{_kde_share_dir}/apps/kaffeine
%{_datadir}/applications/kde4/kaffeine.desktop
%{_datadir}/icons/hicolor/*/apps/kaffeine.*
%dir %{_kde_share_dir}/apps/profiles
%{_kde_share_dir}/apps/profiles/kaffeine.profile.xml
%dir %{_kde_share_dir}/apps/kaffeine
%{_kde_share_dir}/apps/kaffeine/scanfile.dvb
%dir %{_kde_share_dir}/apps/solid
%dir %{_kde_share_dir}/apps/solid/actions
%{_kde_share_dir}/apps/solid/actions/kaffeine_play_audiocd.desktop
%{_kde_share_dir}/apps/solid/actions/kaffeine_play_dvd.desktop
%{_kde_share_dir}/apps/solid/actions/kaffeine_play_videocd.desktop
%{_datadir}/icons/oxygen/*/actions/audio-radio-encrypted.*
%{_datadir}/icons/oxygen/*/actions/video-television-encrypted.*

%changelog
* Mon Apr 18 2011 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 1.2.2-0.pm.1
- update to 1.2.2
  * fix crash after removing channels
* Tue Apr 05 2011 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 1.2.1-0.pm.1
- update to 1.2.1
  * fix dvb-s2 tuning regression
  * add search function to epg
  * implement ATSC support for epg
  * fix gnome screen saver inhibition
  * other fixes and improvements ...
* Sat Sep 04 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 1.1-0.pm.1
- update to 1.1
  * adapt to new shared-mime-info (so that .m2t is assigned to kaffeine
    again)
  * workaround issue that video isn't shown without changing tabs when
    using QT 4.7
  * recording schedule: fix sorting, improve column and dialog sizes,
    show a warning about active and pending recordings when closing
    kaffeine
  * program guide: remove the "Refresh" button (not necessary anymore)
  * channel editor: allow sorting by drag and drop
* Tue Jun 01 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 1.0-0.pm.1
- update to 1.0
  * new dependency: libXss
  * scheduled programs are shown in the program guide
  * the begin and end margins for recordings are configurable
  * CICAM is supported
  * all audio pids are recorded during timeshift
  * subtitle support (also autoloading)
  * other fixes and improvements ...
* Tue Feb 16 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.9+1.0pre3-0.pm.0
- first Packman build.
